Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Security Developer Tools Web Services Security Java API Reference 10g Release 3 (10.1.3) B25382-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.security.xmlsec.wss.util
Class WSSKeyRetriever

`java.lang.Object
oracle.security.xmlsec.keys.retrieval.KeyRetriever
oracle.security.xmlsec.wss.util.WSSKeyRetriever`

public class WSSKeyRetriever
extends oracle.security.xmlsec.keys.retrieval.KeyRetriever

This class server as an utility for extracting keys from dsig:KeyInfo instances containing wsse elements. It can only retrieve information located in the same org.w3c.dom.Document instance.

Users should override this class to implement retrieval of keys from persistant storage.

Constructor Summary
`WSSKeyRetriever()`

Method Summary
`oracle.security.crypto.cert.X509` | `processCert(oracle.security.xmlsec.keys.KeyInfoData kid)` Parse the KeyInfo data and obtain the X509 certificate.
`oracle.security.crypto.core.PrivateKey` | `processPrivateKey(oracle.security.xmlsec.keys.KeyInfoData kid)` Parse the KeyInfo data and obtain the private key.
`oracle.security.crypto.core.SymmetricKey` | `processSymmetricKey(oracle.security.xmlsec.keys.KeyInfoData kid)` Parse the KeyInfo data and obtain the symmetric key.
`protected oracle.security.crypto.cert.X509` | `retrieveCertificate(oracle.security.xmlsec.keys.KeyInfoData keyInfo)`
`protected oracle.security.crypto.core.PrivateKey` | `retrievePrivateKey(oracle.security.xmlsec.keys.KeyInfoData keyInfo)`
`protected oracle.security.crypto.core.PublicKey` | `retrievePublicKey(oracle.security.xmlsec.keys.KeyInfoData keyInfo)`
`protected oracle.security.crypto.core.SymmetricKey` | `retrieveSymmetricKey(oracle.security.xmlsec.keys.KeyInfoData keyInfo)`

Methods inherited from class oracle.security.xmlsec.keys.retrieval.KeyRetriever
`addKeyRetriever, getAuthenticator, getCertificate, getCertificate, getPrivateKey, getPrivateKey, getPublicKey, getPublicKey, getSymmetricKey, getSymmetricKey, retrieveCertificate, retrievePrivateKey, retrievePublicKey, retrieveSymmetricKey, setAuthenticator`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WSSKeyRetriever

    public WSSKeyRetriever()

Method Detail

### retrieveCertificate

    protected oracle.security.crypto.cert.X509 retrieveCertificate(oracle.security.xmlsec.keys.KeyInfoData keyInfo)
                                                            throws oracle.security.xmlsec.keys.retrieval.KeyRetrievalException

  Throws:
    `oracle.security.xmlsec.keys.retrieval.KeyRetrievalException`

### retrievePublicKey

    protected oracle.security.crypto.core.PublicKey retrievePublicKey(oracle.security.xmlsec.keys.KeyInfoData keyInfo)
                                                               throws oracle.security.xmlsec.keys.retrieval.KeyRetrievalException

  Throws:
    `oracle.security.xmlsec.keys.retrieval.KeyRetrievalException`

### retrievePrivateKey

    protected oracle.security.crypto.core.PrivateKey retrievePrivateKey(oracle.security.xmlsec.keys.KeyInfoData keyInfo)
                                                                 throws oracle.security.xmlsec.keys.retrieval.KeyRetrievalException

  Throws:
    `oracle.security.xmlsec.keys.retrieval.KeyRetrievalException`

### retrieveSymmetricKey

    protected oracle.security.crypto.core.SymmetricKey retrieveSymmetricKey(oracle.security.xmlsec.keys.KeyInfoData keyInfo)
                                                                     throws oracle.security.xmlsec.keys.retrieval.KeyRetrievalException

  Throws:
    `oracle.security.xmlsec.keys.retrieval.KeyRetrievalException`

### processCert

    public oracle.security.crypto.cert.X509 processCert(oracle.security.xmlsec.keys.KeyInfoData kid)
                                                 throws WSSException

  Parse the KeyInfo data and obtain the X509 certificate. This method assumes that the reference points to a X.509 certificate token in the same `Document`.
  Parameters:
    `kid` - The wsse:SecurityTokenReference element.
  Returns:
    Returns the X509 certificate or `null`.
  Throws:
    `WSSException`

### processPrivateKey

    public oracle.security.crypto.core.PrivateKey processPrivateKey(oracle.security.xmlsec.keys.KeyInfoData kid)
                                                             throws WSSException

  Parse the KeyInfo data and obtain the private key.
  Parameters:
    `kid` - The wsse:SecurityTokenReference element.
  Returns:
    Returns the private key or `null`.
  Throws:
    `WSSException`

### processSymmetricKey

    public oracle.security.crypto.core.SymmetricKey processSymmetricKey(oracle.security.xmlsec.keys.KeyInfoData kid)
                                                                 throws WSSException

  Parse the KeyInfo data and obtain the symmetric key.
  Parameters:
    `kid` - The wsse:SecurityTokenReference element.
  Returns:
    Returns the symmetric key or `null`.
  Throws:
    `WSSException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Security Developer Tools Web Services Security Java API Reference 10g Release 3 (10.1.3) B25382-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005, 2006 , Oracle. All rights reserved.